HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostInvoicesInvoiceVoid

Contains the different functions to run the operation postInvoicesInvoiceVoid

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostInvoicesInvoiceVoid.hs
valuepostInvoicesInvoiceVoid
  1. :: MonadHTTP m
  2. => Text

    invoice | Constraints: Maximum length of 5000

  3. -> Maybe PostInvoicesInvoiceVoidRequestBody

    The request body to send

  4. -> ClientT m (Response PostInvoicesInvoiceVoidResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/invoices/{invoice}/void

<p>Mark a finalized invoice as void. This cannot be undone. Voiding an invoice is similar to <a href="#delete_invoice">deletion</a>, however it only applies to finalized invoices and maintains a papertrail where the invoice can still be found.</p>

Defines the object schema located at paths./v1/invoices/{invoice}/void.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postInvoicesInvoiceVoid.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostInvoicesInvoiceVoidResponseError is used.

Constructors

Instances2Eq, Show